Bug 226028 - Find type usages doesn't show usages from static method calls
Find type usages doesn't show usages from static method calls
Status: RESOLVED FIXED
Product: groovy
Classification: Unclassified
Component: Refactoring
7.3
PC Linux
: P3 (vote)
: 8.0
Assigned To: Martin Janicek
issues@groovy
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-12 15:58 UTC by Martin Janicek
Modified: 2013-02-15 12:44 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Janicek 2013-02-12 15:58:56 UTC
In the following code:

package foo

class Tester {

    public static void method() {
        Tester.method()
    }
}

..finding usages for Tester should show one occurrence but doesn't find anything. It seems that class types used for static method call are skipped during the search.
Comment 1 Martin Janicek 2013-02-13 10:45:15 UTC
ElementUtils.getType() returns null because it does not understand that VariableExpression is not a simple variable but a class type.
Comment 2 Martin Janicek 2013-02-14 09:50:55 UTC
Fixed in: web-main #8930301704f3
Comment 3 Quality Engineering 2013-02-15 12:44:21 UTC
Integrated into 'main-golden', will be available in build *201302150954* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/8930301704f3
User: Martin Janicek <mjanicek@netbeans.org>
Log: #226028 - Find type usages doesnt show usages from static method calls


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo